import { createContext, useContext, useState } from "react";

const preview = {
  origins: [],
  setOrigins: () => {},
  customerFeedbacks: [],
  setCustomerFeedbacks: () => {},
};

const CustomerFeedbackContext = createContext(preview);

export const useCustomerFeedbackContext = () =>
  useContext(CustomerFeedbackContext);

export function CustomerFeedbackProvider({ children }) {
  const [origins, setOrigins] = useState([]);
  const [customerFeedbacks, setCustomerFeedbacks] = useState([]);

  return (
    <CustomerFeedbackContext.Provider
      value={{
        origins,
        setOrigins,
        customerFeedbacks,
        setCustomerFeedbacks,
      }}
    >
      {children}
    </CustomerFeedbackContext.Provider>
  );
}
